<?php
namespace Claromentis\People\UseCase;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
use Claromentis\People\Filter\UserFilter;
use Claromentis\People\PeopleAcl;
use Claromentis\People\Repository\UserRepository;
use Claromentis\People\Validator\ExtranetValidator;
class GetExtranetUsers
{
    
    
    
    
    protected $user_repo;
    
    
    
    
    protected $validator;
    public function __construct(UserRepository $user_repo, ExtranetValidator $_24c8d051c033d19c2c97cdc3d7098b1b, PeopleAcl $acl)
    {
        $this->user_repo = $user_repo;
        $this->validator = $_24c8d051c033d19c2c97cdc3d7098b1b;
        $this->acl = $acl;
    }
    
    
    
    
    
    
    
    
    public function GetUsers(UserFilter $_03e9164d0a343b742df4793268b80767, int $extranet_id)
    {
        $this->validator->ValidateId($extranet_id);
        $_03e9164d0a343b742df4793268b80767->SetPeopleAcl($this->acl);
        $_03e9164d0a343b742df4793268b80767->SetExtranetId($extranet_id);
        $_e4543e131c67c631b14751cc849d1310 = $this->user_repo->search($_03e9164d0a343b742df4793268b80767);
        $total = $this->user_repo->countSearchTotal($_03e9164d0a343b742df4793268b80767);
        return [$_e4543e131c67c631b14751cc849d1310, $total];
    }
}